Issue 104215

Summary: Copy default font (Asian/CTL) but paste with western font
Product: General Reporter: amy2008 <amy2008>
Component: wwwAssignee: AOO issues mailing list <issues>
Status: REOPENED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, ooo.redflag, os_ooo, zhuangyuelin
Version: DEV300m54Keywords: CJK
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 84405    
Attachments:
Description Flags
Writer doc for reproducing
none
After pasting to Calc document none

Description amy2008 2009-08-14 03:36:37 UTC
Can reproduce it in DEV300m54 on WinXP_ZH.

How to reproduce it
1 Create a new Writer doc
2 Check the default font is "方正宋体", then enter some characters, copy these
characters
3 Create another Impress/Drawing/Calc doc
  For Impress and Drawing doc, paste characters from Writer to a text box, check
the font
  For Clac doc, click into one cell, paste characters from Writer to a text box,
check the font

Result
Default font for these characters is not "方正宋体", but "Arial Unicode MS"

Expectation
Default font for these characters is "方正宋体"

Regards
Li Meiying
Comment 1 Mathias_Bauer 2009-11-11 13:41:14 UTC
Oliver, I don't know if this a Writer problem or not, please take over and try
to find out.
Comment 2 Oliver Specht 2009-11-11 15:01:31 UTC
It's to be determined whether it's right to apply a default font when text is
pasted between different documents. IMO it's wrong to do it. As you can see
using a clipboard view the documents provided by Writer have the default font set. 

What worries me more is that a CJK font setting is never applied in Draw or
Calc. That's probably a problem of the EditEngine. This might also apply to
complex font settings.
Comment 3 Oliver Specht 2010-01-19 11:51:41 UTC
After a second view I couldn't see the problem anymore in m69. 
Set resolution to Worksforme
Comment 4 Mechtilde 2010-01-19 13:14:34 UTC
worksforme -> closed
Comment 5 amy2008 2010-02-21 08:02:08 UTC
OS,
Now, I can still reproduce this issue in DEV300m71 on Windows XP.
But there is a little difference, in Draw or Calc the default font is "Lucia 
Sans Unicode", but not "Arial Unicode MS".

>It's to be determined whether it's right to apply a default font when text is
>pasted between different documents. IMO it's wrong to do it. As you can see
>using a clipboard view the documents provided by Writer have the default font 
>set. 
IMO, maybe it is the real reason that different module has different default 
font set for a clipboard view.

>What worries me more is that a CJK font setting is never applied in Draw or
>Calc. That's probably a problem of the EditEngine. This might also apply to
>complex font settings.
I don't agree this view. Because, CJK font set can be applied in Draw or Calc, 
except paste from writer document.
Comment 6 amy2008 2010-02-21 08:06:07 UTC
set os as Windows XP.
Comment 7 amy2008 2010-02-21 08:26:25 UTC
Created attachment 67951 [details]
Writer doc for reproducing
Comment 8 amy2008 2010-02-21 08:33:29 UTC
Created attachment 67952 [details]
After pasting to Calc document
Comment 9 thomas.lange 2010-02-26 13:59:10 UTC
Adding OS to cc.